19.12.6 ‘Voyager’ released

Changes compared to 19.12.5

– Comet Server now requires TLS1.2 for HTTPS connections, for improved PCI compliance. Windows Server 2008 users may be required to install KB4019276.

– Fix an issue with “failed parsing LIST entry” error messages when using an FTP storage connection to Microsoft IIS

– Fix an issue with “Another device modified the settings at the same time” error messages that could occur during some internal operations in Comet Server

– Fix an issue with checking explorer.exe status during software upgrades on 64-bit Windows

– Fix an issue with Comet Server error messages not appearing in the Server Log if the server shuts down unexpectedly

– Fix an issue with not preventing the Storage Role from using invalid location targets within the Setup Wizard in the Comet Server web interface, causing Comet Server to fail to restart

– Fix an issue with not persisting detailed device operating system information

– Fix an issue with the Comet Server self-backup system leaving files in the system temporary directory

– Fix an issue with the fallback Powershell-based system for upgrading from Comet 19.12.4 requiring .NET Framework 3.5, by developing a replacement fallback upgrade system that does not require .NET/Powershell

– Fix an issue with excessive Missed backup job reports being generated for virtual Protected Items created by the fallback software upgrade system

– Fix an issue with the Comet Server web interface hanging when viewing the next upcoming schedule time for a Periodic schedule with zero offset

– Fix a cosmetic issue with layout of custom backup job advanced option checkboxes at small screen widths and in CloudView

– Fix a cosmetic issue with extra ‘>’ characters in the Comet Server web interface

– Fix a cosmetic issue with ‘NaN:NaN:NaN’ dates appearing when viewing a job report with no log entries in the Comet Server web interface.